org.bouncycastle.x509

## Class AttributeCertificateIssuer

- java.lang.Object
- - org.bouncycastle.x509.AttributeCertificateIssuer

All Implemented Interfaces:
  java.lang.Cloneable, java.security.cert.CertSelector, Selector

    public class AttributeCertificateIssuer
    extends java.lang.Object
    implements java.security.cert.CertSelector, Selector

Carrying class for an attribute certificate issuer.

### Constructor Summary

Constructors
Constructor and Description
`AttributeCertificateIssuer(AttCertIssuer issuer)` Set the issuer directly with the ASN.1 structure.
`AttributeCertificateIssuer(javax.security.auth.x500.X500Principal principal)`
`AttributeCertificateIssuer(X509Principal principal)`

### Method Summary

Methods
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object obj)`
`java.security.Principal[]` `getPrincipals()` Return any principal objects inside the attribute certificate issuer object.
`int` `hashCode()`
`boolean` `match(java.security.cert.Certificate cert)`
`boolean` `match(java.lang.Object obj)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeCertificateIssuer

    public AttributeCertificateIssuer(AttCertIssuer issuer)

Set the issuer directly with the ASN.1 structure.

Parameters:
  `issuer` - The issuer

#### AttributeCertificateIssuer

    public AttributeCertificateIssuer(javax.security.auth.x500.X500Principal principal)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### AttributeCertificateIssuer

    public AttributeCertificateIssuer(X509Principal principal)

### Method Detail

#### getPrincipals

    public java.security.Principal[] getPrincipals()

Return any principal objects inside the attribute certificate issuer object.

Returns:
  an array of Principal objects (usually X500Principal)

#### clone

    public java.lang.Object clone()

Specified by:
  `clone` in interface `java.security.cert.CertSelector`
Specified by:
  `clone` in interface `Selector`
Overrides:
  `clone` in class `java.lang.Object`

#### match

    public boolean match(java.security.cert.Certificate cert)

Specified by:
  `match` in interface `java.security.cert.CertSelector`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### match

    public boolean match(java.lang.Object obj)

Specified by:
  `match` in interface `Selector`